<?php
// Use MyCV class whenever your server supports the DOM API.
// The lite version does not use DOM, class interfaces, neither validates the loaded XML file against DTD
require 'config.php';
require 'sys/class.mycv.php';

// This is for the demo at http://personales.upv.es/luileito/mycv/
if (!empty($_GET['theme'])) {
  $theme = trim(strip_tags($_GET['theme']));
} else {
  $theme = "narrow";
}

$mycv = new MyCV("example.xml");
// Set some plugins (see /plugins dir)
$mycv->setPlugins( array("menu") ); 
// Set the theme (see /themes dir)
$mycv->setTheme($theme);

/*
// social media icons
require 'widgets/social/class.socialmedia.php';
$social = new SocialMedia($mycv);
$social->iconSize = 32;
$social->addItem("youtube", "http://www.youtube.com/luileito");
$social->addItem("twitter", "http://www.twitter.com/luileito");
$social->addItem("rss", "http://personales.upv.es/luileito/rss/");
$social->placeIn(); // default placement is page footer

// sample TOC (without links)
require 'widgets/navigation/class.toc.php';
$toc = new TOC($mycv);
$toc->placeIn(); // default placement is page nav

// sample menu (without links)
require 'widgets/navigation/class.menu.php';
$m = new Menu($mycv);
$m->placeIn(); // default placement is page nav

// sample decorative image
require 'widgets/image/class.imageblock.php';
$m = new ImageBlock($mycv, "docs/img/header.png");
$m->placeIn(); // default placement is page body

// supported microformats: vCard (v2, v3) and hCard
require 'widgets/microformats/class.microformats.php';
$m = new Microformats($mycv);
$m->placeIn(); // default placement is after personal info
*/

$mycv->render();
?>
