/** Requires loading the menu plugin! */
$(function(){
	
  $('#menu').addClass('tabs');

  hideAllTabs();

  if (window.location.hash){
    // load selected tab
    getCurrentTab(window.location.hash).parent().show();
    $('#menu li a[href="'+window.location.hash+'"]').parent().addClass("active");
  } else {
    // display first tab
  	$('#menu > ul li:first').addClass("active");
  	$('.section-group:first').show();
  }

  // tabs click behaviour
	$("#menu > ul li").click(function(e){
		hideAllTabs();
    $(this).addClass("active"); // and make current active (CSS)
		var activeTabId = $(this).find("a").attr("href");
		getCurrentTab(activeTabId).parent().show();
		
		e.preventDefault();
	});
	
  /** 
   * @param string hash 
   * @return jQuery elem
   */
  function getCurrentTab(hash)
  {
    var activeTabName = hash.substr(1); // remove anchor hash (using TOC plugin...)
		return $('a[name="'+activeTabName+'"]');
  }
  
  function hideAllTabs() 
  {
    $("#menu > ul li").removeClass("active"); // remove previous active tabs
		$(".section-group").hide();
  }
  
});	
