<?php
require_once 'class.socialwidget.php';

/**
 * A class for adding social widgets.
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.socialwidget.php
 */
class SocialMedia extends Social
{
  var $flavor = "social-media";

  protected function getIconNamePattern($name) 
  {
    return $this->iconSize.'/'.$name.'.png';
  }

  protected function getIconName($name) 
  {
    $nameparts = explode(".", $name);
    return strtolower($nameparts[0]);
  }

  protected function getIconPath() 
  {
    return dirname(__FILE__).'/'.$this->flavor.'/images/'.$this->theme.'/'.$this->iconSize.'/';
  }

}
?>
