<?php
require_once 'class.socialwidget.php';

/**
 * A class for adding social widgets. Lite version.
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.socialwidget.php
 */
class SocialProfiles extends Social
{
  var $flavor = "social-profiles";

  protected function getIconNamePattern($name) 
  {
    return ucfirst($name).'_'.$this->iconSize.'x'.$this->iconSize.'.png';
  }

  protected function getIconName($name) 
  {
    $nameparts = explode("_", $name);
    return strtolower($nameparts[0]);
  }

  protected function getIconPath() 
  {
    return dirname(__FILE__).'/'.$this->flavor.'/images/'.$this->theme.'/';
  }

}
?>
