<?php
require_once 'sys/class.mywidget.php';

/**
 * A class for adding a lastmod date.
 * @author Luis Leiva
 * @date 9 Nov 2011
 * @require class.mywidget.php
 */
class LastMod extends MyWidget
{
  protected $category = "date";

  /** 
   * Constructor. 
   * @param $dom  DomDocument reference to MyCV instance
   * @param $image string image file name
   */
  public function __construct(DomDocument $dom)
  {
    parent::__construct($dom);
  }

  protected function create()
  {
    $list  = '<div id="lastmod">';
    $list  = 'Page last modified on '.date ("F d Y H:i:s.", filemtime(parent::sourceDOM::filename));
    $list .= '</div><!-- end widget-header -->';

    return $list;
  }

  public function placeIn($placement = "") 
  {
    $place = empty($placement) ? $this->footer : $placement;
    $this->sourceDOM->addDOMElement( $this->create(), $place );
  }

}
?>
