<?php
require_once 'class.vcard.php';

/**
 * A class for adding a vCard v2 widget.
 * @author Luis Leiva
 * @date 11 Dec 2010
 * @require class.vcardwidget.php
 */
class VCard2 extends VCard
{
  protected $newLine = '=0D=0';
  protected $prefixType = '';

  /** 
   * Constructor. 
   * @param $dom  DomDocument reference to MyCV instance
   * @param $image string image file name
   */
  public function __construct(DomDocument $dom)
  {
    parent::__construct($dom);
  }

  protected function getVersion() 
  {
    return '2.1'; 
  }

  protected function formatPhoto(DOMElement $node)
  {
    return null;
  }

}
?>
