<?php
require '../../sys/class.downloader.php';
require 'class.vcard2.php';
require 'class.vcard3.php';
//require 'class.hcard.php';

$file = trim(strip_tags($_GET['f']));
$version = (int)trim(strip_tags($_GET['v']));

$dom = new DOMDocument();
$dom->load('../../'.$file.'.xml');

switch($version) 
{
  case 2:
    $card = new VCard2($dom);
    break;
  case 3:
    $card = new VCard3($dom);
    break;
  default:
    die("error: vCard version not found.");
    break;
}

//echo $card->buildCard(); exit;

$dlr = new Downloader('text/x-vcard', $file.'-vcard.vcf');
$dlr->setDataFromString( $card->buildCard() );
$dlr->forceDownload();
?>
